in any
        information about the uploaded file.  In such cases, you can provide the file name of the uploaded file
        manually.
    FileClass: The class to use for uploaded files.  Defaults to :class:`File`, but you can provide your own class
        if you wish to customize behaviour.  The class will be instantiated as FileClass(file_name, field_name), and
        it must provide the following functions::
            - file_instance.write(data)
            - file_instance.finalize()
            - file_instance.close()
    FieldClass: The class to use for uploaded fields.  Defaults to :class:`Field`, but you can provide your own
        class if you wish to customize behaviour.  The class will be instantiated as FieldClass(field_name), and it
        must provide the following functions::
            - field_instance.write(data)
            - field_instance.finalize()
            - field_instance.close()
            - field_instance.set_none()
    config: Configuration to use for this FormParser.  The default values are taken from the DEFAULT_CONFIG value,
        and then any keys present in this dictionary will overwrite the default values.
rR